--- 
vendor: "ESRI"
id: "7"
title: "Rivers and Streams (NHD)"
properties: 
  OBJECTID: 
    type: "integer"
    esriType: "esriFieldTypeOID"
  shape: 
    format: "geometry-linestring"
    esriType: "esriFieldTypeGeometry"
  id3dhp: 
    type: "string"
    esriLength: 7
    esriType: "esriFieldTypeString"
  featuredate: 
    type: "string"
    format: "date-time"
    esriType: "esriFieldTypeDate"
  mainstemid: 
    type: "string"
    esriLength: 200
    esriType: "esriFieldTypeString"
  gnisid: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  gnisidlabel: 
    type: "string"
    esriLength: 120
    esriType: "esriFieldTypeString"
  featuretype: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  featuretypelabel: 
    type: "string"
    esriLength: 50
    esriType: "esriFieldTypeString"
  lengthkm: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  waterbodyid3dhp: 
    type: "string"
    esriLength: 7
    esriType: "esriFieldTypeString"
  flowdirection: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  flowdirectionlabel: 
    type: "string"
    esriLength: 200
    esriType: "esriFieldTypeString"
  onsurface: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  onsurfacelabel: 
    type: "string"
    esriLength: 200
    esriType: "esriFieldTypeString"
  catchmentid3dhp: 
    type: "string"
    esriLength: 7
    esriType: "esriFieldTypeString"
  flowpathid3dhp: 
    type: "string"
    esriLength: 7
    esriType: "esriFieldTypeString"
  streamlevel: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  startflag: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  terminalflag: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  streamorder: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  streamcalculator: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  hydrosequence: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  dnhydrosequence: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  uphydrosequence: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  dnlevelpath: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  uplevelpath: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  pathlength: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  arbolatesum: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  divergence: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  divergencelabel: 
    type: "string"
    esriLength: 200
    esriType: "esriFieldTypeString"
  rtrndivergence: 
    type: "integer"
    esriType: "esriFieldTypeSmallInteger"
  levelpath: 
    type: "integer"
    esriType: "esriFieldTypeInteger"
  terminalpath: 
    type: "number"
    esriType: "esriFieldTypeDouble"
  workunitid: 
    type: "string"
    esriLength: 100
    esriType: "esriFieldTypeString"
  shape_Length: 
    type: "number"
    esriType: "esriFieldTypeDouble"
type: "object"
$schema: "https://json-schema.org/draft/2020-12/schema"
$id: "https://gis.lja.com/arcgis/rest/services/Ysleta_Constraints_MIL1/OGCFeatureServer/collections/7/queryables"